Bug 1478434 - prevent two miq servers from starting
Summary: prevent two miq servers from starting
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.6.0
Hardware: All
OS: All
medium
high
Target Milestone: GA
: 5.8.2
Assignee: Gregg Tanzillo
QA Contact: Tasos Papaioannou
URL:
Whiteboard: appliance
: 1498878 (view as bug list)
Depends On: 1464698
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-04 14:27 UTC by Satoe Imaishi
Modified: 2018-01-11 18:27 UTC (History)
9 users (show)

Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1464698
Environment:
Last Closed: 2017-10-24 00:17:32 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-08-04 14:31:22 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/cdd920a7ab17b7c9d20065a26103a4649f9da823

commit cdd920a7ab17b7c9d20065a26103a4649f9da823
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Sat Jul 1 07:03:04 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Aug 4 10:27:49 2017 -0400

    Merge pull request #15491 from jrafanie/do_not_remove_other_process_pidfile
    
    Only remove my process' pidfile.
    (cherry picked from commit 8dff3ce84db537aad522c580ce786c002a57548d)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1478434

 lib/pid_file.rb           | 2 +-
 spec/lib/pid_file_spec.rb | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

Comment 3 Tasos Papaioannou 2017-09-05 13:50:30 UTC
Verified on 5.8.2.0. After several days of uptime, evm.pid still exists:

****
[----] I, [2017-09-01T12:15:51.810359 #16873:5dd130]  INFO -- : MIQ(EvmApplication.start) EVM Startup initiated

# date
Tue Sep  5 09:48:16 EDT 2017

# ll /var/www/miq/vmdb/tmp/pids/evm.pid 
-rw-r--r--. 1 root root 5 Sep  1 12:16 /var/www/miq/vmdb/tmp/pids/evm.pid
****

Compare to 5.8.1.5, where evm.pid is missing after ~12 hours:

****
[----] I, [2017-09-04T21:37:14.274286 #48469:aab130]  INFO -- : MIQ(EvmApplication.start) EVM Startup initiated

# date
Tue Sep  5 09:48:05 EDT 2017

# ll /var/www/miq/vmdb/tmp/pids/evm.pid
ls: cannot access /var/www/miq/vmdb/tmp/pids/evm.pid: No such file or directory
****

Comment 5 errata-xmlrpc 2017-10-24 00:17:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005

Comment 6 Joe Rafaniello 2018-01-11 18:27:04 UTC
*** Bug 1498878 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.